<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-pragma">{-# OPTIONS_HADDOCK hide, prune, ignore-exports #-}</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Neo4J.Config</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Neo4J.Config.html#myConfiguration"><span class="hs-identifier">myConfiguration</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-4"></span><span>
</span><span id="line-5"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Default</span></span><span>
</span><span id="line-6"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><span class="hs-identifier">Data.Text</span></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">T</span></span><span>
</span><span id="line-7"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Database.Bolt</span></span><span>
</span><span id="line-8"></span><span>
</span><span id="line-9"></span><span class="annot"><a href="Neo4J.Config.html#myConfiguration"><span class="hs-identifier hs-type">myConfiguration</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">BoltCfg</span></span><span>
</span><span id="line-10"></span><span id="myConfiguration"><span class="annot"><span class="annottext">myConfiguration :: BoltCfg
</span><a href="Neo4J.Config.html#myConfiguration"><span class="hs-identifier hs-var hs-var">myConfiguration</span></a></span></span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-11"></span><span>  </span><span class="annot"><span class="annottext">BoltCfg
forall a. Default a =&gt; a
</span><span class="hs-identifier hs-var">def</span></span><span>
</span><span id="line-12"></span><span>    </span><span class="hs-special">{</span><span> </span><span class="annot"><span class="annottext">user :: Text
</span><span class="hs-identifier hs-var">user</span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String -&gt; Text
</span><span class="hs-identifier hs-var">T.pack</span></span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;neo4j&quot;</span></span><span class="hs-special">,</span><span>
</span><span id="line-13"></span><span>      </span><span class="annot"><span class="annottext">password :: Text
</span><span class="hs-identifier hs-var">password</span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String -&gt; Text
</span><span class="hs-identifier hs-var">T.pack</span></span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;euskera&quot;</span></span><span class="hs-special">,</span><span>
</span><span id="line-14"></span><span>      </span><span class="annot"><span class="annottext">host :: String
</span><span class="hs-identifier hs-var">host</span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;0.0.0.0&quot;</span></span><span>
</span><span id="line-15"></span><span>    </span><span class="hs-special">}</span><span>
</span><span id="line-16"></span></pre></body></html>